SyntaxGraph (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph
Class SyntaxGraph

    java.lang.Object
      org.maltparser.core.syntaxgraph.SyntaxGraph

All Implemented Interfaces:
  Observer, LabeledStructure, Structure

Direct Known Subclasses:
  Sentence

    public abstract class SyntaxGraph

extends Object
implements LabeledStructure, Structure, Observer

Author:
  Johan Hall

Field Summary
`protected ObjectPoolList<LabelSet>` | `labelSetPool`
`protected int` | `numberOfComponents`
`protected SymbolTableHandler` | `symbolTables`

Constructor Summary
`SyntaxGraph(SymbolTableHandler symbolTables)`

Method Summary
`void` | `addLabel(Element element, String labelFunction, String label)` Adds a label label to the graph element element
`void` | `checkInLabelSet(LabelSet labelSet)` Checks in a label set.
`LabelSet` | `checkOutNewLabelSet()` Checks out a new label set from the structure.
`void` | `clear()` Resets the structure.
`SymbolTableHandler` | `getSymbolTables()` Returns the symbol table handler.
`void` | `setSymbolTables(SymbolTableHandler symbolTables)` Sets the symbol table handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Observer
`update`

Field Detail

### symbolTables

    protected SymbolTableHandler symbolTables

### labelSetPool

    protected ObjectPoolList<LabelSet> labelSetPool

### numberOfComponents

    protected int numberOfComponents

Constructor Detail

### SyntaxGraph

    public SyntaxGraph(SymbolTableHandler symbolTables)
                throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### getSymbolTables

    public SymbolTableHandler getSymbolTables()

  Description copied from interface: `LabeledStructure`
  Returns the symbol table handler.

  Specified by:
    `getSymbolTables` in interface `LabeledStructure`
  Returns:
    the symbol table handler.

### setSymbolTables

    public void setSymbolTables(SymbolTableHandler symbolTables)

  Description copied from interface: `LabeledStructure`
  Sets the symbol table handler.

  Specified by:
    `setSymbolTables` in interface `LabeledStructure`
  Parameters:
    `symbolTables` - a symbol table handler.

### addLabel

    public void addLabel(Element element,
                         String labelFunction,
                         String label)
                  throws MaltChainedException

  Description copied from interface: `LabeledStructure`
  Adds a label label to the graph element element

  Specified by:
    `addLabel` in interface `LabeledStructure`
  Parameters:
    `element` - a graph element element (a node or a edge).
    `labelFunction` - the name of the symbol table.
    `label` - the string value of the label.
  Throws:
    `MaltChainedException`

### checkOutNewLabelSet

    public LabelSet checkOutNewLabelSet()
                                 throws MaltChainedException

  Description copied from interface: `LabeledStructure`
  Checks out a new label set from the structure.

  Specified by:
    `checkOutNewLabelSet` in interface `LabeledStructure`
  Returns:
    a new label set.
  Throws:
    `MaltChainedException`

### checkInLabelSet

    public void checkInLabelSet(LabelSet labelSet)
                         throws MaltChainedException

  Description copied from interface: `LabeledStructure`
  Checks in a label set.

  Specified by:
    `checkInLabelSet` in interface `LabeledStructure`
  Parameters:
    `labelSet` - a label set.
  Throws:
    `MaltChainedException`

### clear

    public void clear()
               throws MaltChainedException

  Description copied from interface: `Structure`
  Resets the structure.

  Specified by:
    `clear` in interface `Structure`
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.